import { join as joinPaths, basename } from 'path';
export function getArchiveRootDirs(monorepoStruct) {
    const { monorepoDir, monorepoPkgJson } = monorepoStruct;
    const archiveSubtrees = monorepoPkgJson.monorepoConfig?.archiveSubtrees;
    if (archiveSubtrees) {
        return archiveSubtrees.map((subdir) => joinPaths(monorepoDir, subdir));
    }
    else {
        return [monorepoDir];
    }
}
export function refineFilterArgs(args, monorepoStruct) {
    const isAllIndex = args.indexOf('--all');
    const isAll = isAllIndex !== -1;
    if (isAll) {
        args = args.slice();
        args.splice(isAllIndex, 1);
    }
    else {
        const monorepoConfig = monorepoStruct.monorepoPkgJson.monorepoConfig || {};
        const filterSubtrees = monorepoConfig.filterSubtrees || ['.'];
        args = args.concat(filterSubtrees.map((subdir) => `--filter=${subdir}/**`));
    }
    // HACK
    // In the ROOT monorepo?
    // Exclude the 'standard' monorepo because will double-tread
    if (basename(process.cwd()) === 'fullcalendar-workspace') {
        args.push('--filter=!@fullcalendar-monorepos/standard');
    }
    return args;
}
//# sourceMappingURL=monorepo-config.js.map